Bug 178591 - graphics/quat-gui: Update MASTER_SITES
graphics/quat-gui: Update MASTER_SITES
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 19:10 UTC by tkato432
Modified: 2013-05-16 11:40 UTC (History)
0 users

See Also:


Attachments
file.diff (4.65 KB, patch)
2013-05-13 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-05-13 18:55:15 UTC
>Number:         178591
>Category:       ports
>Synopsis:       graphics/quat-gui: Update MASTER_SITES
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 13 18:10:07 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     KATO Tsuguru
>Release:        FreeBSD 7.4-RELEASE-p11 i386
>Organization:
>Environment:
>Description:
- Update MASTER_SITES
- Add LICENSE
- Add MAKE_JOBS_SAFE
- Support PLIST_FILES
- Support DESKTOP_ENTRIES

>How-To-Repeat:
>Fix:

diff -urN /usr/ports/graphics/quat-gui/Makefile graphics/quat-gui/Makefile
--- /usr/ports/graphics/quat-gui/Makefile	2012-11-08 09:45:16.000000000 +0900
+++ graphics/quat-gui/Makefile	2013-05-14 00:00:42.000000000 +0900
@@ -1,61 +1,74 @@
-# New ports collection makefile for:	quat-gui
-# Date created:				2 May 2002
-# Whom:					David Yeske <dyeske@gmail.com>
-#
+# Created by: David Yeske <dyeske@gmail.com>
 # $FreeBSD: head/graphics/quat-gui/Makefile 302037 2012-08-04 22:52:02Z kwm $
-#
 
 PORTNAME=	quat
 PORTVERSION=	1.20
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	graphics
-MASTER_SITES=	http://www.physcip.uni-stuttgart.de/phy11733/download/
+#MASTER_SITES=	http://www.physcip.uni-stuttgart.de/phy11733/download/
+MASTER_SITES=	http://www.sourcefiles.org/Graphics/Fractals/
 PKGNAMESUFFIX=	-gui
-DISTNAME=	quat-${PORTVERSION:S/.p/pre/}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A Three-dimensional fractal creator (X11 GUI)
+COMMENT=	Three-dimensional fractal creator (X11 GUI)
 
-LIB_DEPENDS=	fltk.1:${PORTSDIR}/x11-toolkits/fltk
+LICENSE=	GPLv2 # (or later)
+
+LIB_DEPENDS=	fltk:${PORTSDIR}/x11-toolkits/fltk
+
+OPTIONS_DEFINE=	OPTIMIZED_CFLAGS DOCS
+
+UNIQUENAME=	${PORTNAME}${PKGNAMESUFFIX}
 
 USE_XORG=	xext
 USE_GL=		gl glut
 GNU_CONFIGURE=	yes
-CONFIGURE_ENV=	LIBS="-lXext -lGL" FLUID="${LOCALBASE}/bin/fluid"
-CPPFLAGS+=	-I${LOCALBASE}/include -L${LOCALBASE}/lib
+CONFIGURE_ENV=	FLUID="${LOCALBASE}/bin/fluid"
+CONFIGURE_ARGS=	--datadir=${PREFIX}/share/doc
+MAKE_JOBS_SAFE=	yes
 
-.if defined(WITH_OPTIMIZED_CFLAGS)
-CFLAGS+=	-O3 -ffast-math
-.endif
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+DOCSDIR=	${PREFIX}/share/doc/${UNIQUENAME}
+
+PORTDOCS=	*
+PLIST_FILES=	bin/quat
 
-pre-everything::
-.if !defined(WITH_OPTIMIZED_CFLAGS)
-	@${ECHO_MSG} "You can enable additional compilation optimizations"
-	@${ECHO_MSG} "by defining WITH_OPTIMIZED_CFLAGS"
+DESKTOP_ENTRIES="Quat" "3D Fractal Generator" "" "${PORTNAME}" "" ""
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MOPTIMIZED_CFLAGS}
+CFLAGS+=	-O3 -ffast-math
 .endif
 
 post-patch:
 	@${REINPLACE_CMD} -E -e \
-		's|^...CFLAGS=|#CFLAGS=|; \
-		s|^...CXXFLAGS=|#CXXFLAGS=|' \
+		's,-(march=pentium|O3|ffast-math),,g' \
 		${WRKSRC}/configure
-	@${REINPLACE_CMD} -E -e 's|-I\.[[:space:]]+-I\$$\(srcdir\)[[:space:]]+||' \
+	@${REINPLACE_CMD} -E -e \
+		's|-I\.[[:space:]]+-I\$$\(srcdir\)[[:space:]]+||' \
 		${WRKSRC}/gui/Makefile.in
-	@${REINPLACE_CMD} -e 's|#include <FL/fl_file_chooser.H>|#include <FL/Fl_File_Chooser.H>|' \
+	@${REINPLACE_CMD} -e \
+		's|<FL/fl_file_chooser.H>|<FL/Fl_File_Chooser.H>| ; \
+		 s|/doc/quat/|/doc/${UNIQUENAME}/|' \
 		${WRKSRC}/gui/MainWindow.cxx
 # disable data file installation since distfile does not do
 # The Right Thing(TM)
 	@${REINPLACE_CMD} -E -e \
-		's|^(install-data-am:).*$$|\1|' \
+		's|^(install-data-am:).*$$|\1| ; \
+		 s|^(SUBDIRS.*)doc|\1|' \
 		${WRKSRC}/Makefile.in
-.ifdef NOPORTDOCS
-	@${REINPLACE_CMD} '/install-data-am:/s/install-pkgdataDATA//' \
+	@${REINPLACE_CMD} -e \
+		's|@PACKAGE@|${UNIQUENAME}|' \
 		${WRKSRC}/doc/Makefile.in
-.endif
 
-post-configure:
-	@${REINPLACE_CMD} -E -e \
-		's|^(pkgdatadir).*$$|\1=${PREFIX}/share/${PORTNAME}${PKGNAMESUFFIX}|' \
-		${WRKSRC}/doc/Makefile
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	@(cd ${WRKSRC}/doc && ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} \
+		${MAKEFILE} ${MAKE_ARGS} ${INSTALL_TARGET})
+.endif
 
 .include <bsd.port.mk>
diff -urN /usr/ports/graphics/quat-gui/pkg-plist graphics/quat-gui/pkg-plist
--- /usr/ports/graphics/quat-gui/pkg-plist	2012-11-08 09:45:16.000000000 +0900
+++ graphics/quat-gui/pkg-plist	1970-01-01 09:00:00.000000000 +0900
@@ -1,27 +0,0 @@
-bin/quat
-%%PORTDOCS%%share/quat-gui/Dendr_st.jpg
-%%PORTDOCS%%share/quat-gui/ce.png
-%%PORTDOCS%%share/quat-gui/chart_de.png
-%%PORTDOCS%%share/quat-gui/chart_us.png
-%%PORTDOCS%%share/quat-gui/ex_1.jpg
-%%PORTDOCS%%share/quat-gui/ex_2.jpg
-%%PORTDOCS%%share/quat-gui/ex_3.jpg
-%%PORTDOCS%%share/quat-gui/gpl.html
-%%PORTDOCS%%share/quat-gui/ie.png
-%%PORTDOCS%%share/quat-gui/oe.png
-%%PORTDOCS%%share/quat-gui/ote.png
-%%PORTDOCS%%share/quat-gui/quat-de-1.html
-%%PORTDOCS%%share/quat-gui/quat-de-2.html
-%%PORTDOCS%%share/quat-gui/quat-de-3.html
-%%PORTDOCS%%share/quat-gui/quat-de-4.html
-%%PORTDOCS%%share/quat-gui/quat-de-5.html
-%%PORTDOCS%%share/quat-gui/quat-de.html
-%%PORTDOCS%%share/quat-gui/quat-us-1.html
-%%PORTDOCS%%share/quat-gui/quat-us-2.html
-%%PORTDOCS%%share/quat-gui/quat-us-3.html
-%%PORTDOCS%%share/quat-gui/quat-us-4.html
-%%PORTDOCS%%share/quat-gui/quat-us-5.html
-%%PORTDOCS%%share/quat-gui/quat-us.html
-%%PORTDOCS%%share/quat-gui/quat.png
-%%PORTDOCS%%share/quat-gui/ve.png
-%%PORTDOCS%%@dirrm share/quat-gui
>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 tkato432 2013-05-13 19:10:07 UTC
- Update MASTER_SITES
- Add LICENSE
- Add MAKE_JOBS_SAFE
- Support PLIST_FILES
- Support DESKTOP_ENTRIES
Comment 2 Edwin Groothuis freebsd_committer 2013-05-13 19:12:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2013-05-16 11:30:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter freebsd_committer 2013-05-16 11:30:43 UTC
Author: miwi
Date: Thu May 16 10:30:29 2013
New Revision: 318306
URL: http://svnweb.freebsd.org/changeset/ports/318306

Log:
  - Trim header
  - Update MASTER_SITES
  - Add LICENSE
  - Add MAKE_JOBS_SAFE
  - Support PLIST_FILES
  - Support DESKTOP_ENTRIES
  - OptionNG
  
  PR:		178591
  Submitted by:	Ports Fury

Modified:
  head/graphics/quat-gui/Makefile   (contents, props changed)
  head/graphics/quat-gui/pkg-plist   (contents, props changed)

Modified: head/graphics/quat-gui/Makefile
==============================================================================
--- head/graphics/quat-gui/Makefile	Thu May 16 10:29:08 2013	(r318305)
+++ head/graphics/quat-gui/Makefile	Thu May 16 10:30:29 2013	(r318306)
@@ -1,61 +1,74 @@
-# New ports collection makefile for:	quat-gui
-# Date created:				2 May 2002
-# Whom:					David Yeske <dyeske@gmail.com>
-#
+# Created by: David Yeske <dyeske@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	quat
 PORTVERSION=	1.20
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	graphics
-MASTER_SITES=	http://www.physcip.uni-stuttgart.de/phy11733/download/
+#MASTER_SITES=	http://www.physcip.uni-stuttgart.de/phy11733/download/
+MASTER_SITES=	http://www.sourcefiles.org/Graphics/Fractals/
 PKGNAMESUFFIX=	-gui
-DISTNAME=	quat-${PORTVERSION:S/.p/pre/}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A Three-dimensional fractal creator (X11 GUI)
+COMMENT=	Three-dimensional fractal creator (X11 GUI)
 
-LIB_DEPENDS=	fltk.1:${PORTSDIR}/x11-toolkits/fltk
+LICENSE=	GPLv2 # (or later)
+
+LIB_DEPENDS=	fltk:${PORTSDIR}/x11-toolkits/fltk
+
+OPTIONS_DEFINE=	OPTIMIZED_CFLAGS DOCS
+
+UNIQUENAME=	${PORTNAME}${PKGNAMESUFFIX}
 
 USE_XORG=	xext
 USE_GL=		gl glut
 GNU_CONFIGURE=	yes
-CONFIGURE_ENV=	LIBS="-lXext -lGL" FLUID="${LOCALBASE}/bin/fluid"
-CPPFLAGS+=	-I${LOCALBASE}/include -L${LOCALBASE}/lib
+CONFIGURE_ENV=	FLUID="${LOCALBASE}/bin/fluid"
+CONFIGURE_ARGS=	--datadir=${PREFIX}/share/doc
+MAKE_JOBS_SAFE=	yes
 
-.if defined(WITH_OPTIMIZED_CFLAGS)
-CFLAGS+=	-O3 -ffast-math
-.endif
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+DOCSDIR=	${PREFIX}/share/doc/${UNIQUENAME}
+
+PORTDOCS=	*
+PLIST_FILES=	bin/quat
 
-pre-everything::
-.if !defined(WITH_OPTIMIZED_CFLAGS)
-	@${ECHO_MSG} "You can enable additional compilation optimizations"
-	@${ECHO_MSG} "by defining WITH_OPTIMIZED_CFLAGS"
+DESKTOP_ENTRIES="Quat" "3D Fractal Generator" "" "${PORTNAME}" "" ""
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MOPTIMIZED_CFLAGS}
+CFLAGS+=	-O3 -ffast-math
 .endif
 
 post-patch:
 	@${REINPLACE_CMD} -E -e \
-		's|^...CFLAGS=|#CFLAGS=|; \
-		s|^...CXXFLAGS=|#CXXFLAGS=|' \
+		's,-(march=pentium|O3|ffast-math),,g' \
 		${WRKSRC}/configure
-	@${REINPLACE_CMD} -E -e 's|-I\.[[:space:]]+-I\$$\(srcdir\)[[:space:]]+||' \
+	@${REINPLACE_CMD} -E -e \
+		's|-I\.[[:space:]]+-I\$$\(srcdir\)[[:space:]]+||' \
 		${WRKSRC}/gui/Makefile.in
-	@${REINPLACE_CMD} -e 's|#include <FL/fl_file_chooser.H>|#include <FL/Fl_File_Chooser.H>|' \
+	@${REINPLACE_CMD} -e \
+		's|<FL/fl_file_chooser.H>|<FL/Fl_File_Chooser.H>| ; \
+		 s|/doc/quat/|/doc/${UNIQUENAME}/|' \
 		${WRKSRC}/gui/MainWindow.cxx
 # disable data file installation since distfile does not do
 # The Right Thing(TM)
 	@${REINPLACE_CMD} -E -e \
-		's|^(install-data-am:).*$$|\1|' \
+		's|^(install-data-am:).*$$|\1| ; \
+		 s|^(SUBDIRS.*)doc|\1|' \
 		${WRKSRC}/Makefile.in
-.ifdef NOPORTDOCS
-	@${REINPLACE_CMD} '/install-data-am:/s/install-pkgdataDATA//' \
+	@${REINPLACE_CMD} -e \
+		's|@PACKAGE@|${UNIQUENAME}|' \
 		${WRKSRC}/doc/Makefile.in
-.endif
 
-post-configure:
-	@${REINPLACE_CMD} -E -e \
-		's|^(pkgdatadir).*$$|\1=${PREFIX}/share/${PORTNAME}${PKGNAMESUFFIX}|' \
-		${WRKSRC}/doc/Makefile
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	@(cd ${WRKSRC}/doc && ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} \
+		${MAKEFILE} ${MAKE_ARGS} ${INSTALL_TARGET})
+.endif
 
 .include <bsd.port.mk>

Modified: head/graphics/quat-gui/pkg-plist
==============================================================================
--- head/graphics/quat-gui/pkg-plist	Thu May 16 10:29:08 2013	(r318305)
+++ head/graphics/quat-gui/pkg-plist	Thu May 16 10:30:29 2013	(r318306)
@@ -1,27 +0,0 @@
-bin/quat
-%%PORTDOCS%%share/quat-gui/Dendr_st.jpg
-%%PORTDOCS%%share/quat-gui/ce.png
-%%PORTDOCS%%share/quat-gui/chart_de.png
-%%PORTDOCS%%share/quat-gui/chart_us.png
-%%PORTDOCS%%share/quat-gui/ex_1.jpg
-%%PORTDOCS%%share/quat-gui/ex_2.jpg
-%%PORTDOCS%%share/quat-gui/ex_3.jpg
-%%PORTDOCS%%share/quat-gui/gpl.html
-%%PORTDOCS%%share/quat-gui/ie.png
-%%PORTDOCS%%share/quat-gui/oe.png
-%%PORTDOCS%%share/quat-gui/ote.png
-%%PORTDOCS%%share/quat-gui/quat-de-1.html
-%%PORTDOCS%%share/quat-gui/quat-de-2.html
-%%PORTDOCS%%share/quat-gui/quat-de-3.html
-%%PORTDOCS%%share/quat-gui/quat-de-4.html
-%%PORTDOCS%%share/quat-gui/quat-de-5.html
-%%PORTDOCS%%share/quat-gui/quat-de.html
-%%PORTDOCS%%share/quat-gui/quat-us-1.html
-%%PORTDOCS%%share/quat-gui/quat-us-2.html
-%%PORTDOCS%%share/quat-gui/quat-us-3.html
-%%PORTDOCS%%share/quat-gui/quat-us-4.html
-%%PORTDOCS%%share/quat-gui/quat-us-5.html
-%%PORTDOCS%%share/quat-gui/quat-us.html
-%%PORTDOCS%%share/quat-gui/quat.png
-%%PORTDOCS%%share/quat-gui/ve.png
-%%PORTDOCS%%@dirrm share/quat-gui
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"